Find attribute groups - Fabric

Find attribute groups

cURL

curl --request POST \
  --url https://live.copilot.fabric.inc/api-product/v1/product/attribute-group/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "page": 0,
  "size": 10,
  "include": {
    "attributes": true
  },
  "match": {
    "target": "ITEM",
    "or": [\
      {\
        "name": "weight"\
      }\
    ]
  },
  "sort": [\
    {\
      "field": "priorityOrder",\
      "direction": "DESC"\
    }\
  ]
}
'

Python

import requests

url = "https://live.copilot.fabric.inc/api-product/v1/product/attribute-group/search"

payload = {
    "page": 0,
    "size": 10,
    "include": { "attributes": True },
    "match": {
        "target": "ITEM",
        "or": [{ "name": "weight" }]
    },
    "sort": [\
        {\
            "field": "priorityOrder",\
            "direction": "DESC"\
        }\
    ]
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    page: 0,
    size: 10,
    include: {attributes: true},
    match: {target: 'ITEM', or: [{name: 'weight'}]},
    sort: [{field: 'priorityOrder', direction: 'DESC'}]
  })
};

fetch('https://live.copilot.fabric.inc/api-product/v1/product/attribute-group/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://live.copilot.fabric.inc/api-product/v1/product/attribute-group/search",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'page' => 0,\
    'size' => 10,\
    'include' => [\
        'attributes' => true\
    ],\
    'match' => [\
        'target' => 'ITEM',\
        'or' => [\
                [\
                                'name' => 'weight'\
                ]\
        ]\
    ],\
    'sort' => [\
        [\
                'field' => 'priorityOrder',\
                'direction' => 'DESC'\
        ]\
    ]\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json",\
    "x-site-context: <x-site-context>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Response Codes

Successful Response (200)

{
  "totalSize": 7,
  "pageSize": 10,
  "pages": 1,
  "attributeGroups": [\
    {\
      "_id": "6259ec8d006b0d00092b3189",\
      "description": "Item weight, in KG",\
      "type": "COLLECTION",\
      "name": "weight",\
      "priorityOrder": 1,\
      "createdOn": "2022-04-15T22:07:09.921Z",\
      "modifiedOn": "2022-04-15T22:10:05.427Z",\
      "totalAttributes": 1,\
      "EditableAttributes": [\
        {\
          "_id": "6259ec8defc2116dd6c0f3fc",\
          "attributeGroupId": "6259ec8d006b0d00092b3189",\
          "attributeId": "6245f16d11ae770009f19292",\
          "isEditable": true,\
          "createdOn": "2022-04-15T22:07:09.932Z",\
          "modifiedOn": "2022-04-15T22:10:05.444Z",\
          "order": 0,\
          "attribute": [\
            {\
              "_id": "6259ec8defc2116dd6c0f3fc",\
              "description": "Item weight, in KG.",\
              "formulaManuallyOverWritten": false,\
              "formula": null,\
              "type": "TEXT",\
              "name": "weight",\
              "textSubType": "SMALL_TEXT",\
              "attributeValidationId": "624d92f8caa34e0009b5d849",\
              "modifiedBy": "60aad2c835c5fb000885f679",\
              "createdOn": "2022-04-15T22:07:09.932Z",\
              "modifiedOn": "2022-04-15T22:10:05.444Z"\
            }\
          ]\
        }\
      ],\
      "ReadOnlyAttributes": [\
        {\
          "_id": "6259ec8defc2116dd6c0f3fc",\
          "attributeGroupId": "6259ec8d006b0d00092b3189",\
          "attributeId": "6245f16d11ae770009f19292",\
          "isEditable": true,\
          "createdOn": "2022-04-15T22:07:09.932Z",\
          "modifiedOn": "2022-04-15T22:10:05.444Z",\
          "order": 0,\
          "attribute": [\
            {\
              "_id": "6259ec8defc2116dd6c0f3fc",\
              "description": "Item weight, in KG.",\
              "formulaManuallyOverWritten": false,\
              "formula": null,\
              "type": "TEXT",\
              "name": "weight",\
              "textSubType": "SMALL_TEXT",\
              "attributeValidationId": "624d92f8caa34e0009b5d849",\
              "modifiedBy": "60aad2c835c5fb000885f679",\
              "createdOn": "2022-04-15T22:07:09.932Z",\
              "modifiedOn": "2022-04-15T22:10:05.444Z"\
            }\
          ]\
        }\
      ],\
      "WorkflowAttributes": [\
        {}\
      ],\
      "ImpactedAttributes": [\
        {}\
      ]\
    }\
  ]
}

Client Error (400)

{
  "code": 400,
  "message": "Client error"
}

Internal Server Error (500)

{
  "code": 500,
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}